# gcu::Window Class Reference

`#include <gcu/window.h>`

Inheritance diagram for gcu::Window:

List of all members.

## Public Member Functions

| Window ()
virtual | ~Window ()
virtual void | Destroy ()
virtual void | Show ()
GtkWindow * | GetWindow (void)

## Protected Attributes

GtkWindow * | m_Window

## Detailed Description

Base class for windows. Just a placeholder for now.

Definition at line 37 of file gcu/window.h.

## Constructor & Destructor Documentation

gcu::Window::Window | ( |  | ) |

The default constructor.

virtual gcu::Window::~Window | ( |  | ) | `[virtual]`

The destructor.

Reimplemented in gcp::Window.

## Member Function Documentation

virtual void gcu::Window::Destroy | ( |  | ) | `[virtual]`

Destroys the window. This method should be overloaded in derived classes since default imlementation does not do anything.

Reimplemented in gcp::Window.

virtual void gcu::Window::Show | ( |  | ) | `[virtual]`

Raises the window and makes it active. This method should be overloaded in derived classes since default imlementation does not do anything.

Reimplemented in gcp::Window.

gcu::Window::GetWindow | ( | void |  | ) | `[inline]`

Returns:
  the GtkWindow correspondig to this Window instance.

Definition at line 66 of file gcu/window.h.

## Member Data Documentation

gcu::Window::m_Window `[protected]`

The GtkWindow instance corresponding to the Window.

Definition at line 66 of file gcu/window.h.

The documentation for this class was generated from the following file:

- gcu/window.h